# eric3.VCS.subversionPackage.DiffDialog

Module implementing a dialog to show the output of the svn diff command process.

### Classes

SvnDiffDialog | Class implementing a dialog to show the output of the svn diff command process.

### Functions

None

## SvnDiffDialog

Class implementing a dialog to show the output of the svn diff command process.

### Derived from

LogForm

### Methods

SvnDiffDialog | Constructor
closeEvent | Private slot implementing a close event handler.
handleProcessExited | Private slot to handle the processExited signal.
handleReadStderr | Private slot to handle the readyReadStderr signal.
handleReadStdout | Private slot to handle the readyReadStdout signal.
handleSave | Private slot to handle the Save button press.
keyPressEvent | Protected slot to handle a key press event.
passwordMode | Private slot to handle the password checkbox toggled.
returnPressed | Private slot to handle the press of the return key in the input field.
sendInput | Private slot to send the input to the subversion process.
start | Public slot to start the svn diff command.

### SvnDiffDialog (Constructor)

SvnDiffDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

### SvnDiffDialog.closeEvent

closeEvent(e)

Private slot implementing a close event handler.

e
  close event (QCloseEvent)

### SvnDiffDialog.handleProcessExited

handleProcessExited()

Private slot to handle the processExited signal.

After the process has exited, the contents pane is colored.

### SvnDiffDialog.handleReadStderr

handleReadStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

### SvnDiffDialog.handleReadStdout

handleReadStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

### SvnDiffDialog.handleSave

handleSave()

Private slot to handle the Save button press.

It saves the diff shown in the dialog to a file in the local filesystem.

### SvnDiffDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

### SvnDiffDialog.passwordMode

passwordMode(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

### SvnDiffDialog.returnPressed

returnPressed()

Private slot to handle the press of the return key in the input field.

### SvnDiffDialog.sendInput

sendInput()

Private slot to send the input to the subversion process.

### SvnDiffDialog.start

start(fn, versions=None)

Public slot to start the svn diff command.

fn
  filename to be diffed (string)
versions
  list of versions to be diffed (list of up to 2 QString or None)

Up